<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:35 UTC 2019 -->
<title>VenueSimulatedLocationSource (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VenueSimulatedLocationSource (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VenueSimulatedLocationSource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueService.VenueServiceStopListener.html" title="interface in com.here.android.mpa.venues3d"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.SimulationState.html" title="enum in com.here.android.mpa.venues3d"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html" target="_top">Frames</a></li>
<li><a href="VenueSimulatedLocationSource.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.venues3d</div>
<h2 title="Class VenueSimulatedLocationSource" class="title">Class VenueSimulatedLocationSource</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html" title="class in com.here.android.mpa.common">com.here.android.mpa.common.LocationDataSource</a></li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.venues3d.VenueSimulatedLocationSource</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">VenueSimulatedLocationSource</span>
extends <a href="../../../../../com/here/android/mpa/common/LocationDataSource.html" title="class in com.here.android.mpa.common">LocationDataSource</a></pre>
<div class="block">Represents a position data source which is able to simulate indoor positioning
 based on a provided <code>VenueRoute</code> object.
 <p>
 IMPORTANT: Venue Simulated Location Source is a Beta feature. The related classes are subject to
 change without notice.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.SimulationState.html" title="enum in com.here.android.mpa.venues3d">VenueSimulatedLocationSource.SimulationState</a></span></code>
<div class="block">The possible states of <code>VenueSimulatedLocationSource</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#VenueSimulatedLocationSource-com.here.android.mpa.venues3d.LinkingRoute-double-boolean-">VenueSimulatedLocationSource</a></span>(<a href="../../../../../com/here/android/mpa/venues3d/LinkingRoute.html" title="class in com.here.android.mpa.venues3d">LinkingRoute</a> routeSection,
                            double speed,
                            boolean distortionEnabled)</code>
<div class="block">Constructs a simulated location source object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#VenueSimulatedLocationSource-com.here.android.mpa.venues3d.VenueRoute-double-boolean-">VenueSimulatedLocationSource</a></span>(<a href="../../../../../com/here/android/mpa/venues3d/VenueRoute.html" title="class in com.here.android.mpa.venues3d">VenueRoute</a> routeSection,
                            double speed,
                            boolean distortionEnabled)</code>
<div class="block">Constructs a simulated location source object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#getGpsStatus--">getGpsStatus</a></span>()</code>
<div class="block">Called by <code>PositioningManager</code> to get the current
 <a href="../../../../../com/here/android/mpa/common/PositioningManager.LocationMethod.html#GPS"><code>PositioningManager.LocationMethod.GPS</code></a> location status.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#getIndoorStatus--">getIndoorStatus</a></span>()</code>
<div class="block">Called by <code>PositioningManager</code> to get the current
 <code>LocationMethod::INDOOR</code> location status.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>android.location.Location</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#getLastKnownLocation--">getLastKnownLocation</a></span>()</code>
<div class="block">Called by <code>PositioningManager</code> to get the last known location.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#getNetworkStatus--">getNetworkStatus</a></span>()</code>
<div class="block">Called by <code>PositioningManager</code> to get the current
 <code>LocationMethod::NETWORK</code> location status.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.SimulationState.html" title="enum in com.here.android.mpa.venues3d">VenueSimulatedLocationSource.SimulationState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#getSimulationState--">getSimulationState</a></span>()</code>
<div class="block">Gets the current state of the simulation related to the tracked route.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#getUpdatesInterval--">getUpdatesInterval</a></span>()</code> </td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#isPaused--">isPaused</a></span>()</code>
<div class="block">Returns <code>true</code>, if current simulation is paused, <code>false</code> otherwise.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#pause-boolean-">pause</a></span>(boolean value)</code>
<div class="block">When set to <code>true</code>, the current simulation will be paused (if any).</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#setUpdatesInterval-double-">setUpdatesInterval</a></span>(double seconds)</code>
<div class="block">Changes the interval between two consecutive simulated indoor position changes.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#start-com.here.android.mpa.common.PositioningManager.LocationMethod-">start</a></span>(<a href="../../../../../com/here/android/mpa/common/PositioningManager.LocationMethod.html" title="enum in com.here.android.mpa.common">PositioningManager.LocationMethod</a> method)</code>
<div class="block">Called by <code>PositioningManager</code> to start location updates using the
 specified location method.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#stop--">stop</a></span>()</code>
<div class="block">Called by <code>PositioningManager</code> to stop location updates.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.common.LocationDataSource">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.common.<a href="../../../../../com/here/android/mpa/common/LocationDataSource.html" title="class in com.here.android.mpa.common">LocationDataSource</a></h3>
<code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#isValidForMapMatching-com.here.android.mpa.common.PositioningManager.LocationMethod-android.location.Location-">isValidForMapMatching</a>, <a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#onLocationUpdated-com.here.android.mpa.common.PositioningManager.LocationMethod-android.location.Location-">onLocationUpdated</a>, <a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#onStatusUpdated-com.here.android.mpa.common.PositioningManager.LocationMethod-int-">onStatusUpdated</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="VenueSimulatedLocationSource-com.here.android.mpa.venues3d.VenueRoute-double-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VenueSimulatedLocationSource</h4>
<pre>public VenueSimulatedLocationSource(<a href="../../../../../com/here/android/mpa/venues3d/VenueRoute.html" title="class in com.here.android.mpa.venues3d">VenueRoute</a> routeSection,
                                    double speed,
                                    boolean distortionEnabled)</pre>
<div class="block">Constructs a simulated location source object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>routeSection</code> - The venue route section for which to simulate the location.</dd>
<dd><code>speed</code> - The speed at which the simulated location changes
                      in meters per second.</dd>
<dd><code>distortionEnabled</code> - If enabled, each generated position will be distorted
                          with some random factor</dd>
</dl>
</li>
</ul>
<a name="VenueSimulatedLocationSource-com.here.android.mpa.venues3d.LinkingRoute-double-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VenueSimulatedLocationSource</h4>
<pre>public VenueSimulatedLocationSource(<a href="../../../../../com/here/android/mpa/venues3d/LinkingRoute.html" title="class in com.here.android.mpa.venues3d">LinkingRoute</a> routeSection,
                                    double speed,
                                    boolean distortionEnabled)</pre>
<div class="block">Constructs a simulated location source object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>routeSection</code> - The linking route section for which to simulate the location.</dd>
<dd><code>speed</code> - The speed at which the simulated location changes
                      in meters per second.</dd>
<dd><code>distortionEnabled</code> - If enabled, each generated position will be distorted
                          with some random factor</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSimulationState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimulationState</h4>
<pre>public <a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.SimulationState.html" title="enum in com.here.android.mpa.venues3d">VenueSimulatedLocationSource.SimulationState</a> getSimulationState()</pre>
<div class="block">Gets the current state of the simulation related to the tracked route.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current state of the simulation related to the tracked route.</dd>
</dl>
</li>
</ul>
<a name="start-com.here.android.mpa.common.PositioningManager.LocationMethod-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre>public boolean start(<a href="../../../../../com/here/android/mpa/common/PositioningManager.LocationMethod.html" title="enum in com.here.android.mpa.common">PositioningManager.LocationMethod</a> method)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class: <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#start-com.here.android.mpa.common.PositioningManager.LocationMethod-">LocationDataSource</a></code></span></div>
<div class="block">Called by <code>PositioningManager</code> to start location updates using the
 specified location method.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#start-com.here.android.mpa.common.PositioningManager.LocationMethod-">start</a></code> in class <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html" title="class in com.here.android.mpa.common">LocationDataSource</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>method</code> - Location method(s) being requested. If the method requested is
            a combination of different methods (e.g. GPS_NETWORK_INDOOR)
            then only start position updates and return true if at least
            one of the methods (e.g. GPS) is available.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if location updates have been started using any of the
         methods requested. False otherwise.</dd>
</dl>
</li>
</ul>
<a name="isPaused--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPaused</h4>
<pre>public boolean isPaused()</pre>
<div class="block">Returns <code>true</code>, if current simulation is paused, <code>false</code> otherwise.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code>, if current simulation is paused, <code>false</code> otherwise.</dd>
</dl>
</li>
</ul>
<a name="pause-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pause</h4>
<pre>public void pause(boolean value)</pre>
<div class="block">When set to <code>true</code>, the current simulation will be paused (if any). When set
 to <code>false</code>, the current simulation will resume if previously paused. This has no
 effect if there is no simulation currently in progress.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - When set to <code>true</code>, the current simulation will be paused (if any).</dd>
</dl>
</li>
</ul>
<a name="stop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stop</h4>
<pre>public void stop()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class: <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#stop--">LocationDataSource</a></code></span></div>
<div class="block">Called by <code>PositioningManager</code> to stop location updates.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#stop--">stop</a></code> in class <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html" title="class in com.here.android.mpa.common">LocationDataSource</a></code></dd>
</dl>
</li>
</ul>
<a name="getGpsStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGpsStatus</h4>
<pre>public int getGpsStatus()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class: <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#getGpsStatus--">LocationDataSource</a></code></span></div>
<div class="block">Called by <code>PositioningManager</code> to get the current
 <a href="../../../../../com/here/android/mpa/common/PositioningManager.LocationMethod.html#GPS"><code>PositioningManager.LocationMethod.GPS</code></a> location status.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#getGpsStatus--">getGpsStatus</a></code> in class <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html" title="class in com.here.android.mpa.common">LocationDataSource</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>GPS location status. Return OUT_OF_SERVICE if
         <code>LocationMethod::GPS</code> is not supported for this location
         data source.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>for valid location status values.</code></dd>
</dl>
</li>
</ul>
<a name="getNetworkStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNetworkStatus</h4>
<pre>public int getNetworkStatus()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class: <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#getNetworkStatus--">LocationDataSource</a></code></span></div>
<div class="block">Called by <code>PositioningManager</code> to get the current
 <code>LocationMethod::NETWORK</code> location status.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#getNetworkStatus--">getNetworkStatus</a></code> in class <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html" title="class in com.here.android.mpa.common">LocationDataSource</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Network location status. Return OUT_OF_SERVICE if
         <code>LocationMethod::NETWORK</code> is not supported for this
         location data source.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>for valid location status values.</code></dd>
</dl>
</li>
</ul>
<a name="getIndoorStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIndoorStatus</h4>
<pre>public int getIndoorStatus()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class: <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#getIndoorStatus--">LocationDataSource</a></code></span></div>
<div class="block">Called by <code>PositioningManager</code> to get the current
 <code>LocationMethod::INDOOR</code> location status.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#getIndoorStatus--">getIndoorStatus</a></code> in class <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html" title="class in com.here.android.mpa.common">LocationDataSource</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Indoor location status. Return OUT_OF_SERVICE if
         <code>LocationMethod::INDOOR</code> is not supported for this location
         data source.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>for valid location status values.</code></dd>
</dl>
</li>
</ul>
<a name="getLastKnownLocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastKnownLocation</h4>
<pre>public android.location.Location getLastKnownLocation()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class: <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#getLastKnownLocation--">LocationDataSource</a></code></span></div>
<div class="block">Called by <code>PositioningManager</code> to get the last known location. This will be the
 location returned by <a href="../../../../../com/here/android/mpa/common/PositioningManager.html#getLastKnownPosition--"><code>PositioningManager.getLastKnownPosition()</code></a>.

 Implement this to return the last known location using the "best" location method available
 for this location source. No guarantee regarding the freshness of the returned location is
 required.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html#getLastKnownLocation--">getLastKnownLocation</a></code> in class <code><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html" title="class in com.here.android.mpa.common">LocationDataSource</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Last known location using best location method available. Return null if no
 location is available or if the position is lost.</dd>
</dl>
</li>
</ul>
<a name="getUpdatesInterval--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUpdatesInterval</h4>
<pre>public double getUpdatesInterval()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Interval in seconds between two consecutive updates of simulated indoor positions.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html#setUpdatesInterval-double-"><code>VenueSimulatedLocationSource.setUpdatesInterval(double)</code></a></dd>
</dl>
</li>
</ul>
<a name="setUpdatesInterval-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setUpdatesInterval</h4>
<pre>public void setUpdatesInterval(double seconds)</pre>
<div class="block">Changes the interval between two consecutive simulated indoor position changes.
 This affects the smoothness of simulation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>seconds</code> - Time in seconds</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VenueSimulatedLocationSource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueService.VenueServiceStopListener.html" title="interface in com.here.android.mpa.venues3d"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueSimulatedLocationSource.SimulationState.html" title="enum in com.here.android.mpa.venues3d"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/venues3d/VenueSimulatedLocationSource.html" target="_top">Frames</a></li>
<li><a href="VenueSimulatedLocationSource.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
